<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: scripts/4_World/Classes/HitIndication/HitDirectionImages/HitDirectionImagesSpike.c File Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.18.155069</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d7/da2/_hit_direction_images_spike_8c.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#nested-classes">Data Structures</a> &#124;
<a href="#func-members">Functions</a> &#124;
<a href="#var-members">Variables</a>  </div>
  <div class="headertitle"><div class="title">HitDirectionImagesSpike.c File Reference</div></div>
</div><!--header-->
<div class="contents">

<p><a href="../../d7/da2/_hit_direction_images_spike_8c_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="nested-classes" name="nested-classes"></a>
Data Structures</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d0/d2e/class_hit_direction_images_spike___static.html">HitDirectionImagesSpike_Static</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="func-members" name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:a86dcbaf977a120dace3f5bafd11d28ae"><td class="memItemLeft" align="right" valign="top">class <a class="el" href="../../d0/d2e/class_hit_direction_images_spike___static.html">HitDirectionImagesSpike_Static</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/da2/_hit_direction_images_spike_8c.html#a86dcbaf977a120dace3f5bafd11d28ae">PerformRegisterImages</a> ()</td></tr>
<tr class="separator:a86dcbaf977a120dace3f5bafd11d28ae"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8568d1a1953189a1ad97364624dd89a3"><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/da2/_hit_direction_images_spike_8c.html#a8568d1a1953189a1ad97364624dd89a3">InitArrays</a> ()</td></tr>
<tr class="separator:a8568d1a1953189a1ad97364624dd89a3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a75ca6fc2db9616cdc184efdd4853285c"><td class="memItemLeft" align="right" valign="top">override protected ref <a class="el" href="../../d2/d41/classarray.html">array</a>&lt; <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/da2/_hit_direction_images_spike_8c.html#a75ca6fc2db9616cdc184efdd4853285c">GetTypeLayoutPathArray</a> ()</td></tr>
<tr class="separator:a75ca6fc2db9616cdc184efdd4853285c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5d7a038b33d636838d8f4d88a360330e"><td class="memItemLeft" align="right" valign="top">override protected ref <a class="el" href="../../d2/d41/classarray.html">array</a>&lt; <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/da2/_hit_direction_images_spike_8c.html#a5d7a038b33d636838d8f4d88a360330e">GetTypeImagePathArray</a> ()</td></tr>
<tr class="separator:a5d7a038b33d636838d8f4d88a360330e"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="var-members" name="var-members"></a>
Variables</h2></td></tr>
<tr class="memitem:ad8f26f8ca3e02635b507ca21e09349be"><td class="memItemLeft" align="right" valign="top">static ref <a class="el" href="../../d2/d41/classarray.html">array</a>&lt; <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/da2/_hit_direction_images_spike_8c.html#ad8f26f8ca3e02635b507ca21e09349be">m_ImagePathsLayouts</a></td></tr>
<tr class="separator:ad8f26f8ca3e02635b507ca21e09349be"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a62c059283431083c7c743f3b462f55a5"><td class="memItemLeft" align="right" valign="top">static ref <a class="el" href="../../d2/d41/classarray.html">array</a>&lt; <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/da2/_hit_direction_images_spike_8c.html#a62c059283431083c7c743f3b462f55a5">m_ImagePathsImages</a></td></tr>
<tr class="separator:a62c059283431083c7c743f3b462f55a5"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Function Documentation</h2>
<a id="a5d7a038b33d636838d8f4d88a360330e" name="a5d7a038b33d636838d8f4d88a360330e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5d7a038b33d636838d8f4d88a360330e">&#9670;&#160;</a></span>GetTypeImagePathArray()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">override protected ref <a class="el" href="../../d2/d41/classarray.html">array</a>&lt; <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> &gt; GetTypeImagePathArray </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d7/da2/_hit_direction_images_spike_8c_source.html#l00031">31</a> of file <a class="el" href="../../d7/da2/_hit_direction_images_spike_8c_source.html">HitDirectionImagesSpike.c</a>.</p>

</div>
</div>
<a id="a75ca6fc2db9616cdc184efdd4853285c" name="a75ca6fc2db9616cdc184efdd4853285c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a75ca6fc2db9616cdc184efdd4853285c">&#9670;&#160;</a></span>GetTypeLayoutPathArray()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">override protected ref <a class="el" href="../../d2/d41/classarray.html">array</a>&lt; <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> &gt; GetTypeLayoutPathArray </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d7/da2/_hit_direction_images_spike_8c_source.html#l00026">26</a> of file <a class="el" href="../../d7/da2/_hit_direction_images_spike_8c_source.html">HitDirectionImagesSpike.c</a>.</p>

</div>
</div>
<a id="a8568d1a1953189a1ad97364624dd89a3" name="a8568d1a1953189a1ad97364624dd89a3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8568d1a1953189a1ad97364624dd89a3">&#9670;&#160;</a></span>InitArrays()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static void PerformRegisterImages::InitArrays </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d7/da2/_hit_direction_images_spike_8c_source.html#l00023">23</a> of file <a class="el" href="../../d7/da2/_hit_direction_images_spike_8c_source.html">HitDirectionImagesSpike.c</a>.</p>

</div>
</div>
<a id="a86dcbaf977a120dace3f5bafd11d28ae" name="a86dcbaf977a120dace3f5bafd11d28ae"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a86dcbaf977a120dace3f5bafd11d28ae">&#9670;&#160;</a></span>PerformRegisterImages()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">class <a class="el" href="../../d0/d2e/class_hit_direction_images_spike___static.html">HitDirectionImagesSpike_Static</a> PerformRegisterImages </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d7/da2/_hit_direction_images_spike_8c_source.html#l00001">1</a> of file <a class="el" href="../../d7/da2/_hit_direction_images_spike_8c_source.html">HitDirectionImagesSpike.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Variable Documentation</h2>
<a id="a62c059283431083c7c743f3b462f55a5" name="a62c059283431083c7c743f3b462f55a5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a62c059283431083c7c743f3b462f55a5">&#9670;&#160;</a></span>m_ImagePathsImages</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">ref <a class="el" href="../../d2/d41/classarray.html">array</a>&lt;<a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&gt; m_ImagePathsImages</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d7/da2/_hit_direction_images_spike_8c_source.html#l00021">21</a> of file <a class="el" href="../../d7/da2/_hit_direction_images_spike_8c_source.html">HitDirectionImagesSpike.c</a>.</p>

</div>
</div>
<a id="ad8f26f8ca3e02635b507ca21e09349be" name="ad8f26f8ca3e02635b507ca21e09349be"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad8f26f8ca3e02635b507ca21e09349be">&#9670;&#160;</a></span>m_ImagePathsLayouts</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">ref <a class="el" href="../../d2/d41/classarray.html">array</a>&lt;<a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&gt; m_ImagePathsLayouts</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d7/da2/_hit_direction_images_spike_8c_source.html#l00020">20</a> of file <a class="el" href="../../d7/da2/_hit_direction_images_spike_8c_source.html">HitDirectionImagesSpike.c</a>.</p>

</div>
</div>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_dc42280174b209627d8212c9e40d7e50.html">scripts</a></li><li class="navelem"><a class="el" href="../../dir_2e5c1ab951ac691cd4fc8c5e713c6c8a.html">4_World</a></li><li class="navelem"><a class="el" href="../../dir_f61fac3e195407e8bd798ede36822932.html">Classes</a></li><li class="navelem"><a class="el" href="../../dir_f8c816277ae925e56c057f3459738fdd.html">HitIndication</a></li><li class="navelem"><a class="el" href="../../dir_8d1111e7063a9cd6902b3d9b923cca14.html">HitDirectionImages</a></li><li class="navelem"><a class="el" href="../../d7/da2/_hit_direction_images_spike_8c.html">HitDirectionImagesSpike.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
